Holger's Java API

## com.antelmann.net
Class HtmlCopyParser

    java.lang.Object
      javax.swing.text.html.HTMLEditorKit.ParserCallback
          com.antelmann.net.HtmlCopyParser

    public class HtmlCopyParser

extends HTMLEditorKit.ParserCallback

copies the parsed content into the given writer

Since:
  23.02.2009, 18:23:21
Author:
  Holger Antelmann

Field Summary
`protected Writer` `writer`

Fields inherited from class javax.swing.text.html.HTMLEditorKit.ParserCallback
`IMPLIED`

Constructor Summary
`HtmlCopyParser(Writer writer)`

Method Summary
`void` `handleComment(char[] data, int pos)`
`void` `handleEndOfLineString(String eol)`
`void` `handleEndTag(HTML.Tag t, int pos)`
`void` `handleError(String errorMsg, int pos)`
`void` `handleSimpleTag(HTML.Tag t, MutableAttributeSet a, int pos)`
`void` `handleStartTag(HTML.Tag t, MutableAttributeSet a, int pos)`
`void` `handleText(char[] data, int pos)`
`protected void` `write(MutableAttributeSet as)`

Methods inherited from class javax.swing.text.html.HTMLEditorKit.ParserCallback
`flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### writer

    protected Writer writer

Constructor Detail

### HtmlCopyParser

    public HtmlCopyParser(Writer writer)

Method Detail

### handleComment

    public void handleComment(char[] data,
                              int pos)

  Overrides:
    `handleComment` in class `HTMLEditorKit.ParserCallback`

### handleEndOfLineString

    public void handleEndOfLineString(String eol)

  Overrides:
    `handleEndOfLineString` in class `HTMLEditorKit.ParserCallback`

### handleEndTag

    public void handleEndTag(HTML.Tag t,
                             int pos)

  Overrides:
    `handleEndTag` in class `HTMLEditorKit.ParserCallback`

### handleError

    public void handleError(String errorMsg,
                            int pos)

  Overrides:
    `handleError` in class `HTMLEditorKit.ParserCallback`

### handleSimpleTag

    public void handleSimpleTag(HTML.Tag t,
                                MutableAttributeSet a,
                                int pos)

  Overrides:
    `handleSimpleTag` in class `HTMLEditorKit.ParserCallback`

### write

    protected void write(MutableAttributeSet as)

### handleStartTag

    public void handleStartTag(HTML.Tag t,
                               MutableAttributeSet a,
                               int pos)

  Overrides:
    `handleStartTag` in class `HTMLEditorKit.ParserCallback`

### handleText

    public void handleText(char[] data,
                           int pos)

  Overrides:
    `handleText` in class `HTMLEditorKit.ParserCallback`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads